<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'backup', language 'cy', version '2.1'.
 *
 * @package     backup
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['autoactivedescription'] = 'Dewis i wneud copïau wrth gefn yn awtomataidd neu beidio, Os ydych yn dewis gwneud eich hun, dim ond drwy ddefnyddio\'r sgript CLI y gellir gwneud copïau wrth gefn yn awtomataidd. Gellir gwneud hyn eich hun ar y llinell orchymyn neu drwy cron.';
$string['autoactivedisabled'] = 'Wedi analluogi';
$string['autoactiveenabled'] = 'Wedi galluogi';
$string['autoactivemanual'] = 'Eich hun';
$string['automatedbackupschedule'] = 'Amserlen';
$string['automatedbackupschedulehelp'] = 'Dewisiwch pa ddiwrnodau o\'r wythnos i greu copïau wrth gefn yn awtomatig';
$string['automatedbackupsinactive'] = 'Nid yw gweinyddwr y safle wedi galluogi\'r broses o wneud copïau wrth gefn yn rheolaidd';
$string['automatedbackupstatus'] = 'Statws gwneud copi wrth gefn yn rheolaidd';
$string['automatedsettings'] = 'Gosodiadau copïau wrth gefn awtomataidd';
$string['automatedsetup'] = 'Sefydlu\'r broses copïau wrth gefn awtomataidd';
$string['automatedstorage'] = 'Storfa copïau wrth gefn awtomataidd';
$string['automatedstoragehelp'] = 'Dewiswch ble rydych chi am storio copïau wrth gefn pan fyddant yn cael eu creu\'n awtomatig.';
$string['backupactivity'] = 'Gwneud copi wrth gefn o\'r weithgaredd: {$a}';
$string['backupcourse'] = 'Gwneud copi wrth gefn o\'r cwrs: {$a}';
$string['backupcoursedetails'] = 'Manylion y cwrs';
$string['backupcoursesection'] = 'Adran: {$a}';
$string['backupcoursesections'] = 'Adrannau\'r cwrs';
$string['backupdate'] = 'Dyddiad gwneud';
$string['backupdetails'] = 'Manylion copi wrth hefn';
$string['backupdetailsnonstandardinfo'] = 'Dydy\'r ffeil a ddewiswyd ddim yn ffeil wrth gefn Moodle safonol. Bydd y broses adfer yn ceisio trosi\'r ffeil wrth gefn i\'r fformat safonol ac yna ei hadfer.';
$string['backupformat'] = 'Fformat';
$string['backupformatimscc'] = 'Cetrisen Gyffredin IMS';
$string['backupformatmoodle1'] = 'Moodle 1';
$string['backupformatmoodle2'] = 'Moodle 2';
$string['backupformatunknown'] = 'Fformat dieithr';
$string['backupmode'] = 'Modd';
$string['backupmode10'] = 'Cyffredinol';
$string['backupmode20'] = 'Mewngludo';
$string['backupmode30'] = 'Canolfan';
$string['backupmode40'] = 'Yr un safle';
$string['backupmode50'] = 'Awtomataidd';
$string['backupmode60'] = 'Wedi trosi';
$string['backupsection'] = 'Gwneud copi wrth gefn o\'r adran cwrs: {$a}';
$string['backupsettings'] = 'Gosodiadau copïau wrth gefn';
$string['backupsitedetails'] = 'Manylion y safle';
$string['backupstage16action'] = 'Bwrw ymlaen';
$string['backupstage1action'] = 'Nesaf';
$string['backupstage2action'] = 'Nesaf';
$string['backupstage4action'] = 'Gwneud copi wrth gefn';
$string['backupstage8action'] = 'Bwrw ymlaen';
$string['backuptype'] = 'Math';
$string['backuptypeactivity'] = 'Gweithgaredd';
$string['backuptypecourse'] = 'Cwrs';
$string['backuptypesection'] = 'Adran';
$string['backupversion'] = 'Fersiwn y copi wrth gefn';
$string['cannotfindassignablerole'] = 'Does dim modd mapio\'r swyddogaeth {$a} yn y ffeil wrth gefn i unrhyw un o\'r swyddogaethau y mae hawl gennych chi eu neilltuo.';
$string['choosefilefromactivitybackup'] = 'Ardal gweithgareddau wrth gefn';
$string['choosefilefromactivitybackup_help'] = 'Wrth wneud copïau wrth gefn o weithgareddau gan ddefnyddio\'r gosodiadau diofyn, bydd ffeiliau wrth gefn yn cael eu storio yma';
$string['choosefilefromautomatedbackup'] = 'Copïau wrth gefn awtomataidd';
$string['choosefilefromautomatedbackup_help'] = 'Mae\'n cynnwys copïau wrth gefn a grëwyd yn awtomatig';
$string['choosefilefromcoursebackup'] = 'Ardal cyrsiau wrth gefn';
$string['choosefilefromcoursebackup_help'] = 'Wrth wneud copïau wrth gefn o gyrsiau gan ddefnyddio\'r gosodiadau diofyn, bydd ffeiliau wrth gefn yn cael eu storio yma';
$string['choosefilefromuserbackup'] = 'Ardal copïau wrth gefn preifat y defnyddiwr';
$string['choosefilefromuserbackup_help'] = 'Wrth wneud copïau wrth gefn o gyrsiau a "Gwneud gwybodaeth defnyddwyr yn ddienw", bydd ffeiliau wrth gefn yn cael eu storio yma';
$string['configgeneralactivities'] = 'Mae hwn yn gosod y dewis diofyn ar gyfer cynnwys gweithgareddau mewn copi wrth gefn.';
$string['configgeneralanonymize'] = 'Os yw wedi\'i alluogi, bydd yr holl wybodaeth yn ymwneud â defnyddwyr yn newid i fod yn ddienw yn ddiofyn.';
$string['configgeneralblocks'] = 'Mae hwn yn gosod y dewis diofyn ar gyfer cynnwys blociau mewn copi wrth gefn.';
$string['configgeneralcomments'] = 'Mae hwn yn gosod y dewis diofyn ar gyfer cynnwys sylwadau mewn copi wrth gefn.';
$string['configgeneralfilters'] = 'Mae hwn yn gosod y dewis diofyn ar gyfer cynnwys hidlyddion mewn copi wrth gefn.';
$string['configgeneralhistories'] = 'Mae hwn yn gosod y dewis diofyn ar gyfer cynnwys hanes defnyddwyr mewn copi wrth gefn.';
$string['configgenerallogs'] = 'Os yw wedi\'i alluogi, bydd logiau\'n cael eu cynnwys mewn copïau wrth gefn yn ddiofyn.';
$string['configgeneralroleassignments'] = 'Os yw wedi\'i alluogi, cynhyrchir copi wrth gefn o\'r swyddogaethau a neilltuwyd yn ddiofyn hefyd.';
$string['configgeneralusers'] = 'Mae hwn yn gosod y dewis diofyn i bennu a ddylid cynnwys defnyddwyr mewn copïau wrth gefn.';
$string['configgeneraluserscompletion'] = 'Os yw wedi\'i alluogi, bydd gwybodaeth am yr hyn mae defnyddwyr wedi\'i gwblhau yn cael ei chynnwys yn y copïau wrth gefn yn ddiofyn.';
$string['configloglifetime'] = 'Mae hwn yn pennu’r cyfnod o amser yr hoffech gadw gwybodaeth logiau wrth gefn. Bydd logiau sy’n hŷn na’r oedran hwn yn cael eu dileu’n awtomatig. Caiff ei argymell eich bod yn cadw’r werth hon yn isel, oherwydd bod gwybodaeth sydd wedi’i logio wrth gefn yn gallu bod yn enfawr.';
$string['confirmcancel'] = 'Canslo\'r copi wrth gefn';
$string['confirmcancelno'] = 'Aros';
$string['confirmcancelquestion'] = 'Ydych chi\'n siŵr eich bod am ganslo?
Byddwch yn colli unrhyw wybodaeth a roesoch.';
$string['confirmcancelyes'] = 'Canslo';
$string['confirmnewcoursecontinue'] = 'Rhybudd cwrs newydd';
$string['confirmnewcoursecontinuequestion'] = 'Bydd y broses adfer cwrs yn creu cwrs dros dro (cudd). I roi\'r gorau i adfer, cliciwch Canslo. Peidiwch â chau\'r porwr yn ystod y broses adfer.';
$string['coursecategory'] = 'Bydd cwrs sy\'n cael ei adfer yn mynd i\'r categori hwn';
$string['courseid'] = 'ID gwreiddiol';
$string['coursesettings'] = 'Gosodiadau\'r cwrs';
$string['coursetitle'] = 'Teitl';
$string['currentstage1'] = 'Gosodiadau cychwynnol';
$string['currentstage16'] = 'Wedi\'i gwblhau';
$string['currentstage2'] = 'Gosodiadau schema';
$string['currentstage4'] = 'Cadarnhau ac adolygu';
$string['currentstage8'] = 'Gwneud copi wrth gefn';
$string['dependenciesenforced'] = 'Mae eich gosodiadau wedi\'u newid oherwydd bod amodau dibyniaeth heb eu bodloni';
$string['enterasearch'] = 'Chwiliwch';
$string['error_block_for_module_not_found'] = 'Mae enghraifft o floc amddifad (id: {$a->bid}) ar gyfer modiwl cwrs (id: {$a->mid}) wedi\'i ganfod. Ni fydd y bloc hwn yn cael ei gadw wrth gefn.';
$string['error_course_module_not_found'] = 'Mae modiwl cwrs amddifad (id: {$a}) wedi cael ei ganfod. Ni fydd y modiwl hwn yn cael ei gadw wrth gefn.';
$string['errorfilenamemustbezip'] = 'Rhaid i\'r enw ffeil fod yn ffeil ZIP a chael yr estyniad .mbz';
$string['errorfilenamerequired'] = 'Rhaid i chi roi enw ffeil dilys ar gyfer y copi wrth gefn hwn';
$string['errorinvalidformat'] = 'Fformat copi wrth gefn dieithr';
$string['errorinvalidformatinfo'] = 'Dydy\'r ffeil a ddewiswyd ddim yn ffeil wrth gefn Moodle ddilys a does dim modd ei hadfer.';
$string['errorminbackup20version'] = 'Mae\'r ffeil wrth gefn hon wedi\'i chreu gan un fersiwn datblygu o Moodle wrth gefn ({$a->backup}). Rhaid cael o leiaf {$a->min}. Does dim modd adfer.';
$string['errorrestorefrontpage'] = 'Does dim hawl adfer dros dudalen flaen.';
$string['executionsuccess'] = 'Wedi llwyddo i greu\'r ffeil wrth gefn.';
$string['filename'] = 'Enw ffeil';
$string['generalactivities'] = 'Cynnwys gweithgareddau';
$string['generalanonymize'] = 'Gwneud gwybodaeth yn ddienw';
$string['generalbackdefaults'] = 'Gosodiadau diofyn cyffredinol ffeiliau wrth gefn';
$string['generalblocks'] = 'Cynnwys blociau';
$string['generalcomments'] = 'Cynnwys sylwadau';
$string['generalfilters'] = 'Cynnwys hidlyddion';
$string['generalgradehistories'] = 'Cynnwys hanes';
$string['generalhistories'] = 'Cynnwys hanes';
$string['generallogs'] = 'Cynnwys logiau';
$string['generalroleassignments'] = 'Cynnwys swyddogaethau a neilltuwyd';
$string['generalsettings'] = 'Gosodiadau wrth gefn cyffredinol';
$string['generalusers'] = 'Cynnwys defnyddwyr';
$string['generaluserscompletion'] = 'Cynnwys gwybodaeth am yr hyn mae defnyddwyr wedi\'i gwblhau';
$string['importbackupstage16action'] = 'Bwrw ymlaen';
$string['importbackupstage1action'] = 'Nesaf';
$string['importbackupstage2action'] = 'Nesaf';
$string['importbackupstage4action'] = 'Mewngludo';
$string['importbackupstage8action'] = 'Bwrw ymlaen';
$string['importcurrentstage0'] = 'Dewis cwrs';
$string['importcurrentstage1'] = 'Gosodiadau cychwynnol';
$string['importcurrentstage16'] = 'Wedi cwblhau';
$string['importcurrentstage2'] = 'Gosodiadau schema';
$string['importcurrentstage4'] = 'Cadarnhau ac adolygu';
$string['importcurrentstage8'] = 'Mewngludo';
$string['importfile'] = 'Mewngludo ffeil wrth gefn';
$string['importsuccess'] = 'Wedi gorffen mewngludo. Cliciwch bwrw ymlaen i fynd yn ôl i\'r cwrs.';
$string['includeactivities'] = 'Cynnwys:';
$string['includeditems'] = 'Eitemau wedi\'u cynnwys:';
$string['includesection'] = 'Adran {$a}';
$string['includeuserinfo'] = 'Data defnyddiwr';
$string['locked'] = 'Wedi cloi';
$string['lockedbyconfig'] = 'Mae\'r gosodiad hwn wedi\'i gloi gan y gosodiadau ffeiliau wrth gefn diofyn';
$string['lockedbyhierarchy'] = 'Wedi cloi gan amodau dibyniaeth';
$string['lockedbypermission'] = 'Does gennych chi ddim digon o hawliau i newid y gosodiad hwn';
$string['loglifetime'] = 'Cadw logiau ar gyfer';
$string['managefiles'] = 'Rheoli ffeiliau wrth gefn';
$string['moodleversion'] = 'Fersiwn Moodle';
$string['moreresults'] = 'Gormod o ganlyniadau. Chwiliwch yn fwy penodol.';
$string['nomatchingcourses'] = 'Does dim cyrsiau i\'w dangos';
$string['norestoreoptions'] = 'Does dim categorïau na chyrsiau presennol y gallwch adfer iddynt.';
$string['originalwwwroot'] = 'URL y copi wrth gefn';
$string['previousstage'] = 'Blaenorol';
$string['qcategory2coursefallback'] = 'Bydd y categori cwestiynau "{$a->name}", a oedd yn wreiddiol mewn cyd-destun categori cwrs/system mewn ffeil wrth gefn, yn cael ei greu mewn cyd-destun cwrs gan y broses adfer';
$string['qcategorycannotberestored'] = 'Dydy\'r broses adfer ddim yn gallu creu\'r categori cwestiynau "{$a->name}"';
$string['question2coursefallback'] = 'Mae\'r categori cwestiynau "{$a->name}", a oedd yn wreiddiol mewn cyd-destun categori cwrs/system mewn ffeil wrth gefn, yn cael ei greu mewn cyd-destun cwrs gan y broses adfer';
$string['questionegorycannotberestored'] = 'Dydy\'r broses adfer ddim yn gallu creu\'r cwestiynau "{$a->name}"';
$string['restoreactivity'] = 'Adfer gweithgaredd';
$string['restorecourse'] = 'Adfer cwrs';
$string['restorecoursesettings'] = 'Gosodiadau cwrs';
$string['restoreexecutionsuccess'] = 'Wedi llwyddo i adfer y cwrs yn llwyddiannus. Cliciwch y botwm Bwrw ymlaen isod i weld y cwrs y gwnaethoch ei adfer';
$string['restorenewcoursefullname'] = 'Enw\'r cwrs newydd';
$string['restorenewcourseshortname'] = 'Enw byr y cwrs newydd';
$string['restorenewcoursestartdate'] = 'Dyddiad dechrau newydd';
$string['restorerolemappings'] = 'Adfer mapio swyddogaethau';
$string['restorerootsettings'] = 'Adfer y gosodiadau';
$string['restoresection'] = 'Adfer yr adran';
$string['restorestage1'] = 'Cadarnhau';
$string['restorestage16'] = 'Adolygu';
$string['restorestage16action'] = 'Adfer';
$string['restorestage1action'] = 'Nesaf';
$string['restorestage2'] = 'Cyrchfan';
$string['restorestage2action'] = 'Nesaf';
$string['restorestage32'] = 'Proses';
$string['restorestage32action'] = 'Bwrw ymlaen';
$string['restorestage4'] = 'Gosodiadau';
$string['restorestage4action'] = 'Nesaf';
$string['restorestage64'] = 'Wedi cwblhau';
$string['restorestage64action'] = 'Bwrw ymlaen';
$string['restorestage8'] = 'Schema';
$string['restorestage8action'] = 'Nesaf';
$string['restoretarget'] = 'Adfer y targed';
$string['restoretocourse'] = 'Adfer i\'r cwrs:';
$string['restoretocurrentcourse'] = 'Adfer i\'r cwrs hwn';
$string['restoretocurrentcourseadding'] = 'Cyfuno\'r cwrs wrth gefn â\'r cwrs hwn';
$string['restoretocurrentcoursedeleting'] = 'Dileu cynnwys y cwrs hwn ac yna ei adfer';
$string['restoretoexistingcourse'] = 'Adfer i gwrs presennol';
$string['restoretoexistingcourseadding'] = 'Cyfuno\'r cwrs wrth gefn â\'r cwrs presennol';
$string['restoretoexistingcoursedeleting'] = 'Dileu cynnwys y cwrs presennol ac yna ei adfer';
$string['restoretonewcourse'] = 'Adfer fel cwrs newydd';
$string['restoringcourse'] = 'Wrthi\'n adfer cwrs';
$string['restoringcourseshortname'] = 'wrthi\'n adfer';
$string['rootsettingactivities'] = 'Cynnwys gweithgareddau';
$string['rootsettinganonymize'] = 'Gwneud gwybodaeth defnyddwyr yn ddienw';
$string['rootsettingblocks'] = 'Cynnwys blociau';
$string['rootsettingcalendarevents'] = 'Cynnwys digwyddiadau calendr';
$string['rootsettingcomments'] = 'Cynnwys sylwadau';
$string['rootsettingfilters'] = 'Cynnwys hidlyddion';
$string['rootsettinggradehistories'] = 'Cynnwys hanes graddau';
$string['rootsettinglogs'] = 'Cynnwys logiau cwrs';
$string['rootsettingroleassignments'] = 'Cynnwys swyddogaethau sydd wedi\'u neilltuo i ddefnyddwyr';
$string['rootsettings'] = 'Gosodiadau ffeiliau wrth gefn';
$string['rootsettingusers'] = 'Cynnwys defnyddwyr wedi\'u cofrestru';
$string['rootsettinguserscompletion'] = 'Cynnwys manylion am yr hyn mae defnyddwyr wedi cwblhau';
$string['sectionactivities'] = 'Gweithgareddau';
$string['sectioninc'] = 'Wedi\'i gynnwys yn y ffeil wrth gefn (dim gwybodaeth am ddefnyddwyr)';
$string['sectionincanduser'] = 'Wedi\'i gynnwys yn y ffeil wrth gefn yn ogystal â gwybodaeth am ddefnyddwyr';
$string['selectacategory'] = 'Dewiswch gategori';
$string['selectacourse'] = 'Dewiswch gwrs';
$string['setting_course_fullname'] = 'Enw\'r cwrs';
$string['setting_course_shortname'] = 'Enw byr y cwrs';
$string['setting_course_startdate'] = 'Dyddiad dechrau\'r cwrs';
$string['setting_overwriteconf'] = 'Ysgrifennu dros ffurfweddiad y cwrs';
$string['storagecourseandexternal'] = 'Ardal ffeiliau wrth gefn cyrsiau a\'r cyfeiriadur a bennwyd';
$string['storagecourseonly'] = 'Ardal ffeiliau wrth gefn cyrsiau';
$string['storageexternalonly'] = 'Y cyfeiriadur a bennwyd ar gyfer copïau wrth gefn awtomataidd';
$string['totalcategorysearchresults'] = 'Cyfanswm y categorïau: {$a}';
$string['totalcoursesearchresults'] = 'Cyfanswm y cyrsiau: {$a}';
