<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'xmldb', language 'cy', version '2.1'.
 *
 * @package     xmldb
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actual'] = 'Gwirioneddol';
$string['aftertable'] = 'Ôl-dabl:';
$string['back'] = 'Yn ôl';
$string['backtomainview'] = 'Yn ôl i\'r brif sgrin';
$string['binaryincorrectlength'] = 'Hyd anghywir ar gyfer maes deuaidd';
$string['cannotuseidfield'] = 'Does dim modd mewnosod y maes "id". Mae\'n golofn rhifau awtomatig';
$string['change'] = 'Newid';
$string['charincorrectlength'] = 'Hyd anghywir ar gyfer maes llythrennau';
$string['check_bigints'] = 'Chwilio am gyfanrifau cronfa ddata anghywir';
$string['check_defaults'] = 'Chwilio am werthoedd diofyn anghyson';
$string['check_foreign_keys'] = 'Chwilio am achosion o gamddefnyddio allweddi estron';
$string['check_indexes'] = 'Chwilio am fynegeion cronfa ddata coll';
$string['checkbigints'] = 'Gwirio bigint';
$string['checkdefaults'] = 'Gwirio rhagosodiadau';
$string['checkforeignkeys'] = 'Gwirio allweddi estron';
$string['checkindexes'] = 'Gwirio\'r mynegeion';
$string['completelogbelow'] = '(gweler y log cyflawn isod a gynhyrchwyd wrth chwilio)';
$string['confirmcheckbigints'] = 'Bydd y swyddogaeth hon yn chwilio am <a href="http://tracker.moodle.org/browse/MDL-11038">feysydd cyfanrifau anghywir posib</a> yn eich gweinydd Moodle, gan gynhyrchu\'r datganiadau SQL angenrheidiol yn awtomatig (ond nid eu gweithredu!) er mwyn gallu diffinio pob cyfanrif yn eich cronfa ddata yn briodol.<br /><br /> Ar ôl iddynt gael eu cynhyrchu, gallwch gopïo\'r datganiadau hyn a\'u gweithredu\'n ddiogel gyda\'ch hoff ryngwyneb SQL (peidiwch ag anghofio cadw copi wrth gefn o\'ch data cyn gwneud hynny).<br /><br /> Rydym yn argymell yn gryf i chi redeg y fersiwn ddiweddaraf (fersiwn +) o Moodle (1.8, 1.9, 2.x ...) cyn chwilio am gyfanrifau anghywir.<br /><br /> Nid yw\'r swyddogaeth hon yn gwneud unrhyw beth i\'r gronfa ddata (dim ond ei darllen), felly gellir ei gweithredu\'n ddiogel unrhyw bryd.';
$string['confirmcheckdefaults'] = 'Bydd y swyddogaeth hon yn chwilio am werthoedd diofyn anghyson yn eich gweinydd Moodle, gan gynhyrchu\'r datganiadau SQL angenrheidiol (ond nid eu gweithredu!) er mwyn gallu diffinio pob gwerth diofyn yn briodol.<br /><br /> Ar ôl iddynt gael eu cynhyrchu, gallwch gopïo\'r datganiadau hyn a\'u gweithredu\'n ddiogel gyda\'ch hoff ryngwyneb SQL (peidiwch ag anghofio cadw copi wrth gefn o\'ch data cyn gwneud hynny).<br /><br /> Rydym yn argymell yn gryf i chi redeg y fersiwn ddiweddaraf (fersiwn +) o Moodle (1.8, 1.9, 2.x ...) cyn chwilio am werthoedd diofyn anghyson.<br /><br /> Nid yw\'r swyddogaeth hon yn gwneud unrhyw beth i\'r gronfa ddata (dim ond ei darllen), felly gellir ei gweithredu\'n ddiogel unrhyw bryd.';
$string['confirmcheckforeignkeys'] = 'Bydd y swyddogaeth hon yn chwilio am gamddefnyddio posib ar allweddi estron a ddiffinnir yn y diffiniadau install.xml. (Nid yw Moodle yn cynhyrchu cyfyngiadau allweddi estron gwirioneddol ar hyn o bryd yn y gronfa ddata, a dyma pam mae data annilys yn bresennol o bosib)<br /><br />
Rydym yn argymell yn gryf i chi redeg y fersiwn ddiweddaraf (fersiwn +) o Moodle (1.8, 1.9, 2.x ...) cyn dechrau chwilio am fynegeion coll.<br /><br /> Nid yw\'r swyddogaeth hon yn gwneud unrhyw beth i\'r gronfa ddata (dim ond ei ddarllen), felly gellir ei gweithredu\'n ddiogel unrhyw bryd.';
$string['confirmcheckindexes'] = 'Bydd y swyddogaeth hon yn chwilio am fynegeion coll posib yn eich gweinydd Moodle, gan gynhyrchu\'r datganiadau SQL angenrheidiol yn awtomatig (ond nid eu gweithredu!) er mwyn diweddaru popeth.<br /><br />
Ar ôl eu cynhyrchu, gallwch gopïo\'r datganiadau hyn a\'u gweithredu\'n ddiogel gyda\'ch hoff ryngwyneb SQL (peidiwch ag anghofio cadw copi wrth gefn o\'ch data cyn gwneud hynny).<br /><br /> Rydym yn argymell yn gryf i chi redeg y fersiwn ddiweddaraf o Moodle (1.8, 1.9, 2.x ...) cyn dechrau chwilio am fynegeion coll.<br /><br /> Nid yw\'r swyddogaeth hon yn gwneud unrhyw beth i\'r gronfa ddata (dim ond ei ddarllen), felly gellir ei gweithredu\'n ddiogel unrhyw bryd.';
$string['confirmdeletefield'] = 'Ydych chi\'n hollol siŵr eich bod am ddileu\'r maes:';
$string['confirmdeleteindex'] = 'Ydych chi\'n hollol siŵr eich bod am ddileu\'r mynegai:';
$string['confirmdeletekey'] = 'Ydych chi\'n hollol siŵr eich bod am ddileu\'r allwedd:';
$string['confirmdeletetable'] = 'Ydych chi\'n hollol siŵr eich bod am ddileu\'r tabl:';
$string['confirmdeletexmlfile'] = 'Ydych chi\'n hollol siŵr eich bod am ddileu\'r ffeil:';
$string['confirmrevertchanges'] = 'Ydych chi\'n hollol siŵr eich bod am ddadwneud y newidiadau:';
$string['create'] = 'Creu';
$string['createtable'] = 'Creu tabl:';
$string['defaultincorrect'] = 'Rhagosodiad anghywir';
$string['delete'] = 'Dileu';
$string['delete_field'] = 'Dileu maes';
$string['delete_index'] = 'Dileu mynegai';
$string['delete_key'] = 'Dileu allwedd';
$string['delete_table'] = 'Dileu tabl';
$string['delete_xml_file'] = 'Dileu ffeil XML';
$string['doc'] = 'Dogfen';
$string['docindex'] = 'Mynegai dogfennau:';
$string['documentationintro'] = 'Mae\'r dogfennau hyn yn cael eu cynhyrchu\'n awtomatig o ddiffiniad y gronfa ddata XMLDB. Maent ar gael yn Saesneg yn unig.';
$string['down'] = 'I lawr';
$string['duplicate'] = 'Dyblygu';
$string['duplicatefieldname'] = 'Mae maes arall gyda\'r enw hwnnw\'n bodoli';
$string['duplicatefieldsused'] = 'Dyblygu\'r meysydd a ddefnyddiwyd';
$string['duplicatekeyname'] = 'Mae allwedd arall gyda\'r enw hwnnw\'n bodoli';
$string['duplicatetablename'] = 'Mae tabl arall gyda\'r enw hwnnw\'n bodoli';
$string['edit'] = 'Golygu';
$string['edit_field'] = 'Golygu maes';
$string['edit_field_save'] = 'Cadw maes';
$string['edit_index'] = 'Golygu mynegai';
$string['edit_index_save'] = 'Cadw mynegai';
$string['edit_key'] = 'Golygu allwedd';
$string['edit_key_save'] = 'Cadw allwedd';
$string['edit_table'] = 'Golygu tabl';
$string['edit_table_save'] = 'Cadw tabl';
$string['edit_xml_file'] = 'Golygu ffeil XML';
$string['enumvaluesincorrect'] = 'Gwerthoedd anghywir ar gyfer maes enum';
$string['expected'] = 'Disgwyliedig';
$string['extensionrequired'] = 'Yn anffodus, mae angen yr estyniad PHP \'{$a}\' i wneud hyn. Gosodwch yr estyniad os ydych am ddefnyddio\'r nodwedd hon.';
$string['field'] = 'Maes';
$string['fieldnameempty'] = 'Enw maes yn wag';
$string['fields'] = 'Meysydd';
$string['fieldsnotintable'] = 'Dydy\'r maes ddim yn bodoli yn y tabl';
$string['fieldsusedinindex'] = 'Mae\'r maes hwn yn cael ei ddefnyddio fel mynegai';
$string['fieldsusedinkey'] = 'Mae\'r maes hwn yn cael ei ddefnyddio fel allwedd.';
$string['filenotwriteable'] = 'Does dim modd ysgrifennu\'r ffeil';
$string['fkviolationdetails'] = 'Mae\'r allwedd estron {$a->keyname} ar y tabl {$a->tablename} wedi\'i gamddefnyddio gan {$a->numviolations} allan o {$a->numrows} rhes.';
$string['float2numbernote'] = 'Nodyn: Er bod meysydd sy\'n "arnofio" yn cael eu cefnogi 100% gan XMLDB, rydym yn argymell mudo i\'r meysydd "rhifau".';
$string['floatincorrectdecimals'] = 'Nifer anghywir o ddegolion ar gyfer maes hofran';
$string['floatincorrectlength'] = 'Hyd anghywir ar gyfer maes hofran';
$string['generate_all_documentation'] = 'Pob dogfen';
$string['generate_documentation'] = 'Dogfennau';
$string['gotolastused'] = 'Ewch i\'r ffeil a ddefnyddiwyd ddiwethaf';
$string['incorrectfieldname'] = 'Enw anghywir';
$string['incorrectkeyname'] = 'Enw allwedd anghywir';
$string['incorrecttablename'] = 'Enw tabl anghywir';
$string['index'] = 'Mynegai';
$string['indexes'] = 'Mynegeion';
$string['integerincorrectlength'] = 'Hyd anghywir ar gyfer maes cyfanrifol';
$string['key'] = 'Allwedd';
$string['keys'] = 'Allweddi';
$string['listreservedwords'] = 'Rhestr o Eiriau Cadw<br/>(a ddefnyddiwyd er mwyn diweddaru <a href="http://docs.moodle.org/en/XMLDB_reserved_words" target="_blank">XMLDB_reserved_words</a> )';
$string['load'] = 'Llwytho';
$string['main_view'] = 'Prif wedd';
$string['masterprimaryuniqueordernomatch'] = 'Mae\'n rhaid i\'r meysydd yn eich allwedd estron fod wedi\'u rhestru yn yr un drefn ag y maent yn yr ALLWEDD UNIGRYW ar y tabl.';
$string['missing'] = 'Ar goll';
$string['missingindexes'] = 'Wedi dod o hyd i\'r mynegeion coll';
$string['mustselectonefield'] = 'Rhaid i chi ddewis un maes i weld gweithredoedd sy\'n ymwneud â\'r maes!';
$string['mustselectoneindex'] = 'Rhaid i chi ddewis un mynegai i weld gweithredoedd sy\'n ymwneud â\'r mynegai!';
$string['mustselectonekey'] = 'Rhaid i chi ddewis un allwedd i weld gweithredoedd sy\'n ymwneud â\'r allwedd!';
$string['mysqlextracheckbigints'] = 'O dan MySQL, mae hefyd yn chwilio am enghreifftiau o bigints wedi\'u llofnodi\'n anghywir, gan gynhyrchu\'r SQL gofynnol i allu gweithredu er mwyn eu cywiro.';
$string['new_table_from_mysql'] = 'Tabl newydd o MySQL';
$string['newfield'] = 'Maes newydd';
$string['newindex'] = 'Mynegai newydd';
$string['newkey'] = 'Allwedd newydd';
$string['newtable'] = 'Tabl newydd';
$string['newtablefrommysql'] = 'Tabl newydd o MySQL';
$string['nomasterprimaryuniquefound'] = 'Mae\'n rhaid i\'r golofn/colofnau y mae eich allwedd estron yn cyfeirio ati/atynt fod yn gynwysedig mewn ALLWEDD unigryw neu brimaidd yn y tabl. Cofiwch, nid yw\'n ddigon i\'r golofn fod mewn CYFEIRNOD UNIGRYW.';
$string['nomissingindexesfound'] = 'Heb ddod o hyd i fynegeion coll, does dim angen gwneud dim byd arall i\'ch cronfa ddata.';
$string['noviolatedforeignkeysfound'] = 'Heb ddod o hyd i ddim allweddi estron sydd wedi\'u camddefnyddio';
$string['nowrongdefaultsfound'] = 'Heb ddod o hyd i ddim gwerthoedd diofyn anghyson, does dim angen gwneud dim byd arall i\'ch cronfa ddata.';
$string['nowrongintsfound'] = 'Heb ddod o hyd i ddim cyfanrifau anghywir, does dim angen gwneud dim byd arall i\'ch cronfa ddata.';
$string['numberincorrectdecimals'] = 'Nifer anghywir o bwyntiau degol ar gyfer maes rhifau';
$string['numberincorrectlength'] = 'Hyd anghywir ar gyfer maes rhifau';
$string['pendingchanges'] = 'Nodyn: Rydych chi wedi gwneud newidiadau i\'r ffeil hon. Gellir eu cadw unrhyw bryd.';
$string['pendingchangescannotbesaved'] = 'Ceir newidiadau yn y ffeil hon ond does dim modd eu cadw! Dylid gwirio bod gan y cyfeiriadur a\'r "install.xml" oddi mewn iddo hawl ysgrifennu ar gyfer y gweinydd gwe.';
$string['pendingchangescannotbesavedreload'] = 'Ceir newidiadau yn y ffeil hon ond does dim modd eu cadw! Dylid gwirio bod gan y cyfeiriadur a\'r "install.xml" oddi mewn iddo hawl ysgrifennu ar gyfer y gweinydd gwe. Yna, ail-lwythwch y dudalen hon a dylech allu cadw\'r newidiadau hynny.';
$string['reserved'] = 'Ar gadw';
$string['reservedwords'] = 'Geiriau ar gadw';
$string['revert'] = 'Newid yn ôl';
$string['revert_changes'] = 'Newid yn ôl';
$string['save'] = 'Cadw';
$string['searchresults'] = 'Canlyniadau\'r chwilio';
$string['selectaction'] = 'Dewiswch weithred:';
$string['selectdb'] = 'Dewiswch gronfa ddata:';
$string['selectfieldkeyindex'] = 'Dewiswch faes/allwedd/mynegai:';
$string['selectonecommand'] = 'Dewiswch un weithred o\'r rhestr i weld y cod PHP';
$string['selectonefieldkeyindex'] = 'Dewiswch un maes/allwedd/mynegai o\'r rhestr isod i weld y cod PHP';
$string['selecttable'] = 'Dewiswch dabl:';
$string['table'] = 'Tabl';
$string['tablenameempty'] = 'Does dim modd i enw\'r tabl fod yn wag';
$string['tables'] = 'Tablau';
$string['textincorrectlength'] = 'Hyd anghywir ar gyfer maes testun';
$string['unload'] = 'Dadlwytho';
$string['up'] = 'I Fyny';
$string['view'] = 'Gweld';
$string['view_reserved_words'] = 'Gweld y geiriau sydd ar gadw';
$string['view_structure_php'] = 'Gweld strwythur PHP';
$string['view_structure_sql'] = 'Gweld strwythur SQL';
$string['view_table_php'] = 'Gweld tabl PHP';
$string['view_table_sql'] = 'Gweld tabl SQL';
$string['viewedited'] = 'Gweld beth sydd wedi\'i olygu';
$string['vieworiginal'] = 'Gweld y gwreiddiol';
$string['viewphpcode'] = 'Gweld cod PHP';
$string['viewsqlcode'] = 'Gweld cod SQL';
$string['viewxml'] = 'XML';
$string['violatedforeignkeys'] = 'Allweddi estron wedi\'u camddefnyddio';
$string['violatedforeignkeysfound'] = 'Wedi canfod allweddi estron wedi\'u camddefnyddio';
$string['violations'] = 'Enghreifftiau o gamddefnyddio';
$string['wrong'] = 'Anghywir';
$string['wrongdefaults'] = 'Wedi canfod rhagosodiadau anghywir';
$string['wrongints'] = 'Wedi canfod cyfanrifau anghywir';
$string['wronglengthforenum'] = 'Hyd anghywir ar gyfer maes enum';
$string['wrongreservedwords'] = 'Geiriau ar gadw sy\'n cael eu defnyddio ar hyn o bryd<br />(sylwch nad yw enwau tablau\'n bwysig os ydych chi\'n defnyddio $CFG->rhagddodiad)';
$string['yesmissingindexesfound'] = 'Wedi dod o hyd i fynegeion coll yn eich cronfa ddata. Dyma eu manylion a\'r datganiadau SQL angenrheidiol i\'w defnyddio gyda\'ch hoff ryngwyneb SQL er mwyn creu pob un ohonynt (peidiwch ag anghofio cadw copi wrth gefn o\'ch data cyn gwneud hynny).<br /><br />Ar ôl gwneud hynny, argymhellir yn gryf eich bod yn gweithredu\'r cyfleuster hwn eto i sicrhau nad oes rhagor o fynegeion coll.';
$string['yeswrongdefaultsfound'] = 'Wedi dod o hyd i ragosodiadau anghyson yn eich cronfa ddata. Dyma eu manylion a\'r datganiadau SQL angenrheidiol i\'w gweithredu gyda\'ch hoff ryngwyneb SQL er mwyn cywiro pob un ohonynt (peidiwch ag anghofio cadw copi wrth gefn o\'ch data cyn gwneud hynny).<br /><br />Ar ôl gwneud hynny, argymhellir yn gryf eich bod yn gweithredu\'r cyfleuster hwn eto i sicrhau nad oes rhagor o ragosodiadau anghyson.';
$string['yeswrongintsfound'] = 'Wedi dod o hyd i gyfanrifau anghywir yn eich cronfa ddata. Dyma eu manylion a\'r datganiadau SQL angenrheidiol i\'w defnyddio gyda\'ch hoff ryngwyneb SQL er mwyn creu pob un ohonynt (peidiwch ag anghofio cadw copi wrth gefn o\'ch data cyn gwneud hynny).<br /><br />Ar ôl gwneud hynny, argymhellir yn gryf eich bod yn gweithredu\'r cyfleuster hwn eto i sicrhau nad oes rhagor o gyfanrifau anghywir.';
