<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_search', language 'cy', version '2.1'.
 *
 * @package     block_search
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['blockssearchswitches'] = 'Rhoi\'r mynegeiwr ar waith gyda blociau';
$string['bytes'] = 'beit (0 yn golygu dim cyfyngiadau)';
$string['cmdtoconverttotextfor'] = 'Gorchymyn i drosi {$a} i destun';
$string['configenablefileindexing'] = 'Galluogi mynegeio ffeiliau';
$string['configfiletypes'] = 'Mathau y ffeiliau y gellir eu trin';
$string['configlimitindexbody'] = 'Cyfyngiad ar faint corff ffeil wedi\'i mynegeio';
$string['configpdftotextcmd'] = 'Llwybr i\'r gorchymyn pdf i destun';
$string['configtypetotxtcmd'] = 'Llinell orchymyn y troswr';
$string['configtypetotxtenv'] = 'Diffinio\'r amgylchedd i\'r troswr';
$string['configwordtotextcmd'] = 'Llwybr i\'r gorchymyn dogfen i destun';
$string['configwordtotextenv'] = 'Gosodiad amgylchedd ar gyfer y troswr MSWord';
$string['enablefileindexing'] = 'Dewis defnyddio\'r broses mynegeio ar gyfer mathau gwahanol o ffeiliau';
$string['enableindexinginblock'] = 'Caniatáu mynegeio\'r bloc {$a}';
$string['enableindexinginmodule'] = 'Caniatáu mynegeio\'r modiwl {$a}';
$string['envforcmdtotextfor'] = 'Amgylchedd ar gyfer trosi gorchymyn i destun ar gyfer {$a}';
$string['go'] = 'Mynd!';
$string['handlingfor'] = 'Gwaith trin ychwanegol ar gyfer';
$string['indexbodylimit'] = 'Y terfyn ar gyfer mynegeio\'r corff';
$string['listoffiletypes'] = 'Rhestr o\'r mathau o ffeiliau y gellir eu trin';
$string['modulessearchswitches'] = 'Rhoi\'r mynegeiwr ar waith gyda modiwlau';
$string['nosearchableblocks'] = 'Dim blociau i\'w chwilio';
$string['nosearchablemodules'] = 'Dim modiwlau i\'w chwilio';
$string['pdfhandling'] = 'Trin PDF Acrobat';
$string['pdftotextcmd'] = 'Gorchymyn i drosi PDF i destun';
$string['pluginname'] = 'Chwilio\'r safle cyfan';
$string['searchdiscovery'] = 'Darganfod yr eitemau y gellir eu chwilio';
$string['searchmoodle'] = 'Chwilio Moodle';
$string['usemoodleroot'] = 'Defnyddio gwreiddyn Moodle ar gyfer troswyr allanol';
$string['usemoodlerootdescription'] = 'Defnyddio gwreiddyn Moodle ar gyfer troswyr allanol';
$string['wordhandling'] = 'Trin Microsoft Word';
$string['wordtotextcmd'] = 'Gorchymyn i drosi Microsoft Word i destun';
$string['wordtotextenv'] = 'Gosod amgylchedd ar gyfer y troswr Microsoft Word i destun';
