<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'book', language 'cy', version '2.1'.
 *
 * @package     book
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addafter'] = 'Ychwanegu pennod newydd';
$string['book:edit'] = 'Golygu penodau llyfr';
$string['book:read'] = 'Darllen llyfr';
$string['book:viewhiddenchapters'] = 'Gweld penodau llyfr cudd';
$string['chapters'] = 'Penodau';
$string['chapterscount'] = 'Penodau';
$string['chaptertitle'] = 'Teitl y bennod';
$string['confchapterdelete'] = 'Ydych chi wir am ddileu\'r bennod hon?';
$string['confchapterdeleteall'] = 'Ydych chi wir am ddileu\'r bennod hon a\'r holl is-benodau?';
$string['content'] = 'Cynnwys';
$string['customtitles'] = 'Teitlau personol';
$string['customtitles_help'] = 'Bydd teitlau penodau\'n ymddangos yn awtomatig yn TOC yn unig.';
$string['editingchapter'] = 'Wrthi\'n golygu pennod';
$string['errorchapter'] = 'Gwall wrth ddarllen pennod llyfr.';
$string['faq'] = 'Cwestiynau cyffredin am lyfrau';
$string['faq_help'] = '*Pam ddim ond dwy lefel?* Fel arfer mae dwy lefel yn ddigon ar gyfer pob llyfr. Byddai tair lefel yn arwain at ddogfennau wedi\'u strwythuro\'n wael. Mae\'r modiwl llyfr wedi\'i lunio ar gyfer creu deunyddiau astudio aml-dudalen byr. Fel arfer, mae\'n well defnyddio fformat PDF ar gyfer dogfennau hirach. Y ffordd rwyddaf o greu dogfennau PDF yw rhith-argraffwyr (gweler <a href="http://sector7g.wurzel6.de/pdfcreator/index_en.htm" target="_blank">Creu PDF</a>, <a href="http://fineprint.com/products/pdffactory/index.html" target="_blank">PDFFactory</a>, <a href="http://www.adobe.com/products/acrobatstd/main.html" target="_blank">Adobe Acrobat</a>, ayb.). *A yw myfyrwyr yn gallu golygu llyfrau?* Dim ond athrawon sy\'n gallu creu a golygu llyfrau. Does dim cynlluniau i alluogi myfyrwyr i olygu llyfrau, ond efallai y bydd rhywun yn creu rhywbeth tebyg i fyfyrwyr (Portfolio?). Y prif reswm yw i gadw\'r modiwl Llyfr mor syml á phosib. *Sut ydw i\'n chwilio\'r llyfrau?* Ar hyn o bryd dim ond un ffordd sydd yna, sef defnyddio\'r offeryn chwilio yn y dudalen argraffu. Dim ond mewn fforymau Moodle y gellir chwilio drwy\'r safle cyfan ar hyn o bryd. Byddai\'n dda cael offeryn chwilio safle cyfan ar gyfer pob adnodd, yn cynnwys llyfrau. A oes yna wirfoddolwyr? *Dydy fy nheitlau ddim yn ffitio ar un llinell.* Dylech naill ai ailysgrifennu eich teitlau neu ofyn i weinyddwr y safle newid lled TOC. Caiff ei ddiffinio drwy\'r safle cyfan ar gyfer pob llyfr yn y dudalen ffurfweddu modiwl.';
$string['missingfilemanagement'] = 'Annwyl ddefnyddwyr y modiwl Llyfr. Mae\'n debyg eich bod eisoes wedi sylwi nad yw\'n bosib dileu na rheoli ffeiliau sy\'n cael eu defnyddio mewn penodau Llyfr. A fyddech gystal â phleidleisio yn {$a} i drwsio hyn, diolch. Petr Škoda';
$string['modulename'] = 'Llyfr';
$string['modulename_help'] = 'Mae Llyfr yn ddeunydd astudio aml-dudalen syml.';
$string['modulenameplural'] = 'Llyfrau';
$string['navexit'] = 'Allan o\'r Llyfr';
$string['navnext'] = 'Nesaf';
$string['navprev'] = 'Blaenorol';
$string['numbering'] = 'Rhifo penodau';
$string['numbering0'] = 'Dim';
$string['numbering1'] = 'Rhifau';
$string['numbering2'] = 'Bwledi';
$string['numbering3'] = 'Mewnoliad';
$string['numbering_help'] = '* Dim - dydy teitlau penodau ac is-benodau ddim wedi\'u fformatio o gwbl, dylech ei ddefnyddio os ydych am ddiffinio arddulliau rhifo arbennig. Er enghraifft, llythrennau: yn nheitl y bennod, teipiwch "Pennod Gyntaf", "A.1 Is-Bennod",...
* Rhifau - rhifo penodau ac is-benodau (1, 1.1, 1.2, 2, ...)
* Bwledi - mae is-benodau yn cael eu mewnoli gyda bwledi
* Mewnoliad - mae is-benodau yn cael eu mewnoli';
$string['numberingoptions'] = 'Y dewisiadau rhifo sydd ar gael';
$string['numberingoptions_help'] = 'Dewisiwch y dewisiadau rhifo ddylai fod ar gael wrth greu llyfrau newydd.';
$string['page-mod-book-x'] = 'Unrhyw dudalen modiwl llyfr';
$string['pluginadministration'] = 'Gweinyddu\'r Modiwl Llyfrau';
$string['pluginname'] = 'Llyfr';
$string['subchapter'] = 'Is-bennod';
$string['toc'] = 'Tabl cynnwys';
$string['top'] = 'brig';
